## org.eclipse.emf.mapping.command
Class PersistentCommandStack.Encoder

    java.lang.Object
      org.eclipse.emf.mapping.command.PersistentCommandStack.Encoder

Enclosing class:
  PersistentCommandStack

    public static class PersistentCommandStack.Encoder

extends java.lang.Object

Field Summary
`protected java.lang.StringBuffer` `buffer`

Constructor Summary
`PersistentCommandStack.Encoder()`
`PersistentCommandStack.Encoder(java.lang.StringBuffer buffer)`

Method Summary
`void` `encode(float value)`
`void` `encode(int value)`
`void` `encode(java.lang.Object object)`
`void` `setBuffer(java.lang.StringBuffer buffer)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buffer

    protected java.lang.StringBuffer buffer

Constructor Detail

### PersistentCommandStack.Encoder

    public PersistentCommandStack.Encoder()

### PersistentCommandStack.Encoder

    public PersistentCommandStack.Encoder(java.lang.StringBuffer buffer)

Method Detail

### setBuffer

    public void setBuffer(java.lang.StringBuffer buffer)

### encode

    public void encode(int value)

### encode

    public void encode(float value)

### encode

    public void encode(java.lang.Object object)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.